// ============================================================================
//  $Id: TRecordAssociationTable.cc,v 1.2 2004/03/07 10:30:27 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TRecordAssociationTable.cc,v $
//  Revision 1.2  2004/03/07 10:30:27  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.1  2004/03/01 02:36:25  goiwai
//  RecordDisplay用のクラス群を置きました.
//  お蔵入りになってたものに手直しを加えたものですが,
//  まだ不充分な点も在ります.徐々に修正していきたいと思います.
//  DataRecordオブジェクトを表示するためのツール群なのでRecordDisplayと呼
//  んでいます,多分にオフライン要素が強いです.
//  オンラインよりにしたものを後でEventDisplay(Eventを表示)としてコミット
//  します.
//
// ============================================================================
#ifdef __CLDAQ_ROOT_USE
#include "TRecordAssociationTable.hh"

TRecordAssociationTable::TRecordAssociationTable()
  : theAssociationList()
{;}

TRecordAssociationTable::TRecordAssociationTable( const TRecordAssociationList& list )
  : theAssociationList( list )
{;}

TRecordAssociationTable::TRecordAssociationTable( const TRecordAssociationTable& right )
  : theAssociationList( right.theAssociationList )
{;}

TRecordAssociationTable::~TRecordAssociationTable()
{;}

const TRecordAssociationTable& TRecordAssociationTable::operator=( const TRecordAssociationTable& right )
{
  theAssociationList = right.theAssociationList;
  return *this;
}

Tbool TRecordAssociationTable::operator==( const TRecordAssociationTable& right ) const
{
  Tbool retval = ( theAssociationList == right.theAssociationList );
  return retval;
}

Tbool TRecordAssociationTable::operator!=( const TRecordAssociationTable& right ) const
{
  Tbool retval = ( theAssociationList != right.theAssociationList );
  return retval;
}

Tostream& operator<<( Tostream& tos, const TRecordAssociationTable& right )
{
  for ( Tsize_t i = 0; i < right.theAssociationList.size(); i ++ ) {
    tos << right.theAssociationList[ i ];
    if ( i != right.theAssociationList.size() - 1 ) {
      tos << Tendl;
    }
  }
  tos << Tflush;

  return tos;
}

#endif

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TRecordAssociationTable)
#endif
